# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: Loading test cases from separate YAML configuration files

prompts:
  - file://prompt*.txt
providers:
  - openai:gpt-4.1-mini

# The defaultTest configuration is applied to every test case in this config.
defaultTest:
  vars:
    system_message: file://system_prompt.txt

# Loads & runs all test cases matching these filepaths
tests:
  # You can supply an exact filepath
  - file://tests/tests2.yaml

  # Or a glob (wildcard)
  - file://tests/*

  # Mix and match with actual test cases
  - vars:
      topic: the internet
      content_type: witty tweets

  # Use the file:// prefix to load entire files as vars
  - vars:
      topic: file://vars/var_topic.yaml
      content_type: file://vars/var_content_type.yaml

  # You can also use the file:// prefix to load assertions
  - vars:
      topic: fruit loops
      content_type: Youtube intro
    assert:
      - type: javascript
        value: file://asserts/assert.js
